Skip to main content
POST
/
scan
/
{fromAddress}
/
eip712
Scan EIP-712 Signed Message for Security Risks
curl --request POST \
  --url https://api.webacy.com/scan/{fromAddress}/eip712 \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "msg": {
    "from": "0x6535d5F76F021FE65E2ac73D086dF4b4Bd7ee5D9",
    "data": {
      "types": {
        "EIP712Domain": [
          {
            "name": "chainId",
            "type": "uint256"
          },
          {
            "name": "verifyingContract",
            "type": "address"
          }
        ],
        "SafeTx": [
          {
            "name": "to",
            "type": "address"
          },
          {
            "name": "value",
            "type": "uint256"
          },
          {
            "name": "data",
            "type": "bytes"
          },
          {
            "name": "operation",
            "type": "uint8"
          },
          {
            "name": "safeTxGas",
            "type": "uint256"
          },
          {
            "name": "baseGas",
            "type": "uint256"
          },
          {
            "name": "gasPrice",
            "type": "uint256"
          },
          {
            "name": "gasToken",
            "type": "address"
          },
          {
            "name": "refundReceiver",
            "type": "address"
          },
          {
            "name": "nonce",
            "type": "uint256"
          }
        ]
      },
      "primaryType": "SafeTx",
      "domain": {
        "chainId": 1,
        "verifyingContract": "0xA77DE01e157f9f57C7c4A326eeE9C4874D0598b6"
      },
      "message": {
        "to": "0xfbffef83b1c172fe3bc86c1ccb036ab9f3efcaf2",
        "value": "0",
        "data": "0x804e1f0a000000000000000000000000ef279c2ab14960aa319008cbea384b9f8ac35fc6",
        "operation": 1,
        "baseGas": "0",
        "gasPrice": "0",
        "gasToken": "0x0000000000000000000000000000000000000000",
        "refundReceiver": "0x0000000000000000000000000000000000000000",
        "nonce": 42,
        "safeTxGas": "0"
      }
    }
  }
}
'
{
  "simulation": {
    "domainRisk": {},
    "partyRisk": {},
    "counterpartyRisk": {},
    "functionRisk": {
      "selector": "<string>",
      "functionName": "<string>",
      "signature": "<string>",
      "riskLevel": "low",
      "category": "<string>",
      "description": "<string>",
      "risks": [
        "<string>"
      ],
      "safeOperation": "<string>",
      "safeMlScore": 123
    }
  },
  "block": 123,
  "timestamp": "2023-11-07T05:31:56Z",
  "chain": "eth"
}

Authorizations

x-api-key
string
header
required

Path Parameters

fromAddress
string
required

EVM address that will sign the message

Query Parameters

refreshCache
boolean
default:false

Force refresh cached risk data

Body

application/json
msg
object
required

EIP-712 message structure

domain
string

Optional domain URL

block
integer

Optional block number

Response

EIP-712 message risk analysis completed successfully

simulation
object

EIP-712 message analysis results

block
integer

Current block number

timestamp
string<date-time>

Timestamp of the scan

chain
string

Chain identifier

Example:

"eth"